//Variables globales

var MODULO = "Cuestionarios";

var KEY_BORRAR="KEY_BORRAR";

var KEY_VOLVER_FILTRO="KEY_VOLVER_FILTRO";

var KEY_VOLVER_LISTADO="KEY_VOLVER_LISTADO";

var KEY_CANCELAR="KEY_CANCELAR";

var MODIFICAR ="MODIFICAR";

var ALTA ="ALTA";



function onLoadPage(){

	//Para el alta, en vez de coger el dato del niGrupo del contexto, se lo metemos en el hashmap, que se va a mapear al contexto, que es lo que le va a llegar a 

	//la funci?n de alta.En la modificaci?n, ya lo ha obtenido de la base de datos, as? que no necesitamos esto, por lo que no hemos pintado el hidden niGrupoCuesVTMAnu,

	//para que no se ejecuten

	//limpiarDatos();

	if (document.forms["formResultados"].elements["inicio"].value == ALTA) 	{

		document.forms[0].elements["resultado(idProvincia)"].value = codProvinciaCompartido;

		document.forms[0].elements["idMunicipio"].value = codMunicipioCompartido;

	}

	document.forms["formResultados"].elements["resultado(idProvincia)"].focus();

	if (document.forms["formResultados"].elements["accion"].value = "KEY_GUARDAR"){

			cargarMunMuniLauncher();

			seleccionarComboDesdeCampo("resultado(idMunicipio)","idMunicipio");

	}

	if (document.forms["formResultados"].elements["inicio"].value == MODIFICAR) 	{

			cargarWhereMunicipio();

	}



	

}



function ponAccion(key)

{	

	if (key==KEY_BORRAR){

		if(confirm(msgBorrar)){

			document.forms["formResultados"].accion.value=key;

			submmitFormulario(key);

		}else{

			return;

		}

	}

	else if (key==KEY_CANCELAR)

	{

		if (document.forms["formResultados"].inicio.value=="FILTRO")

		{

			key=KEY_VOLVER_FILTRO;

		}

		else

		{

			key=KEY_VOLVER_LISTADO;

		}

		document.forms["formResultados"].accion.value=key;

		submmitFormulario(key);

	}

	else {	

		document.forms["formResultados"].accion.value=key;

		submmitFormulario(key);

	}

}



function submmitFormulario(key){

	document.forms[0].codProvinciaContexto.value = document.forms[0].elements["resultado(idProvincia)"].value;

	document.forms[0].codMunicipioContexto.value = document.forms[0].elements["resultado(idMunicipio)"].value;

	document.forms["formResultados"].submit();

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick(){



	document.forms["formResultados"].elements["resultado(idMunicipio)"].options.length=0;

	addOption(document.forms["formResultados"].elements["resultado(idMunicipio)"],"","");		

	//Se cargan los nombres de municipio

	cargarMunMuniLauncher();	

	

}





//Se carga el combo de municipios a trav?s del Launcher

function cargarMunMuniLauncher(){



	var where = "provincia_id = "+document.forms["formResultados"].elements["resultado(idProvincia)"].value;	

	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "resultado(idMunicipio)", where, "false", true, "ds_o", "ASC");

	

}



function cargarWhereProvincia(){

	if (document.forms[0].elements["resultado(idProvincia)"].value!="") {

		document.forms[0].elements["where2"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["resultado(idProvincia)"].value + "')" ;

	} else {

		document.forms[0].elements["where2"].value= "";

	}

}



function cargarWhereMunicipio(){

	if (document.forms[0].elements["resultado(idMunicipio)"].value!="") {

		document.forms[0].elements["where2"].value = "(Q022HT00_PROV = '" + document.forms[0].elements["resultado(idProvincia)"].value + "') AND (Q022HT00_MUNI = '" 

			+ document.forms[0].elements["resultado(idMunicipio)"].value +  "')" ;

	} else {

		document.forms[0].elements["where2"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["resultado(idProvincia)"].value + "')" ;

	}

}



